From 4f009a2de63c106d8fa93594b675e9c291179668 Mon Sep 17 00:00:00 2001
From: Romeo Papa <romeopapa@caramail.com>
Date: Wed, 12 Aug 2015 02:07:48 +0200
Subject: [PATCH] Fix tails-restricted-network-detector

---
 .../usr/local/sbin/tails-restricted-network-detector                  | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/config/chroot_local-includes/usr/local/sbin/tails-restricted-network-detector b/config/chroot_local-includes/usr/local/sbin/tails-restricted-network-detector
index 9dc0f18..f76b7ab 100755
--- a/config/chroot_local-includes/usr/local/sbin/tails-restricted-network-detector
+++ b/config/chroot_local-includes/usr/local/sbin/tails-restricted-network-detector
@@ -62,8 +62,8 @@ while(my $sl = $parser->next) {
         # connections. We drop any previous state so it won't
         # interfere.
         $state{$1} = undef;
-    } elsif ($text =~ /\(([^)]+)\): supplicant connection state:.*-> (.*)$/) {
-        # Wireless connection state transition.
+    } elsif ($text =~ /\(([^)]+)\): supplicant interface state:.*-> (.*)$/) {
+        # Interface connection state transition.
         $state{$1} = $2;
     } elsif ($text =~ /Activation \(([^)]+)\/[^)]*\): association took too long/) {
         # Wireless connection failure. If it happens during
-- 
2.1.4

